升级失败提示“获取GPG密钥失败:[ Errno 14] curl#37”的解决办法

最近搬主题在升级自己其中一台主机的面板的时候,发现无法升级,提示“获取GPG密钥失败:[ Errno 14] curl#37 – “Couldn’t open flle /etc/pki/rpm-gpg/RPM-GPG-KEY-litespeed””,这是什么情况?也就是无法升级了?

原文链接:升级失败提示“获取GPG密钥失败:[ Errno 14] curl#37”的解决办法

因为搬主题的站点是OpenLiteSpeed环境的,安装了CyberPanel面板,在SSH工具中运行 yum update 命令升级的时候会提示获取GPG密钥失败。如下图

升级失败提示“获取GPG密钥失败:[ Errno 14] curl#37”的解决办法插图

经过分析,是因为本地文件缺少RPM-GPG-KEY-litespeed文件,导致无法验证通过,所以才提示失败的。

经过搬主题一番搜索,发现网上有两种解决方案,一种是修改epel.repo文件,让其不验证源文件就可以下载,还有一种是下载官方文件,验证成功即可。这里搬主题选择了第二种方法。

首先,用SSH登陆自己的VPS云主机,然后用如下命令进入/etc/pki/rpm-gpg/目录

cd /etc/pki/rpm-gpg/

然后输入如下的命令下载官方的RPM-GPG-KEY-litespeed文件。

wget https://mirror.cyberpanel.net/litespeed/RPM-GPG-KEY-litespeed

回车后就下载好了,如下图

升级失败提示“获取GPG密钥失败:[ Errno 14] curl#37”的解决办法插图1

再次运行 yum update 命令,然后会提示查看到密钥,是否继续,输入y后回车继续。

升级失败提示“获取GPG密钥失败:[ Errno 14] curl#37”的解决办法插图2

面板成功升级,问题解决。

升级失败提示“获取GPG密钥失败:[ Errno 14] curl#37”的解决办法插图3
 收藏 (0) 更新不易,打赏吧

您可以选择一种方式赞助本站

支付宝扫一扫赞助

微信钱包扫描赞助

除特别注明外,本站所有文章均基于CC-BY-NC-SA 4.0原创,转载请注明出处。
文章名称:《升级失败提示“获取GPG密钥失败:[ Errno 14] curl#37”的解决办法》
文章链接:https://www.shopee6.com/web/web-tutorial/errno-14-curl37-couldnt-open-flle-etc-pki-rpm-gpg-rpm-gpg-key.html
分享到: 生成海报

热门文章

评论 抢沙发

评论前必须登录!

立即登录   注册

切换注册

登录

点击按钮进行验证

忘记密码

您也可以使用第三方帐号快捷登录

切换登录

注册

我们将发送一封验证邮件至你的邮箱, 请正确填写以完成账号注册和激活